EDIT - bug #7779

swagger Ul broken after springfox-swagger2 upgrade
09/21/2018 08:50 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.4

Severity: critical Found in Version:

Description

after upgrading springfox-swagger2 to version 2.6.1 (4518f4b) the swagger Ul is broken.
Presumably an upgrade of Swagger-Ul is also needed now.

Associated revisions

Revision 8ea0f81f - 10/18/2018 03:53 PM - Andreas Kohlbecker

ref #7779 upgrading springfox-swagger-ui to 2.6.1 and preserving the modified springfox.js as springfox-last.js

Revision 24e59406 - 10/18/2018 06:35 PM - Andreas Kohlbecker

ref #7779 upgrading springfox-swagger-ui to 2.6.1 and preserving the modified springfox.js as springfox-last.js

Revision dac99c73 - 10/18/2018 07:09 PM - Andreas Kohlbecker

ref #7779 applying Cdm specific changes to springfox-ui:
- preserving the modified index.hml as index-last.html

- creatng diffs with the changes applied last time

- applying cdm changes to springfox.js and index.html

Revision ef485f52 - 10/18/2018 07:42 PM - Andreas Kohlbecker

#7770 documenting springfox-swagger-ui update process

Revision ae797143 - 10/18/2018 08:05 PM - Andreas Kohlbecker

ref #7770 fixing layout issue and menu items active state and updating diffs

Revision 695c2b14 - 10/19/2018 11:42 AM - Andreas Kohlbecker

fix #7779 adapting the creation delivery of the static swagger doc to version 2.6.1

Revision 72937d27 - 10/19/2018 01:44 PM - Andreas Kohlbecker

fix #7779 fixing missing file extension in StaticSwaggerApiDoc controller

History

#1 - 09/24/2018 12:16 PM - Andreas Miuller

- Severity changed from normal to critical

#2 - 10/18/2018 03:38 PM - Andreas Kohlbecker

- Description updated

#3 - 10/18/2018 08:16 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 60

ready for review

#4 - 10/19/2018 09:53 AM - Andreas Kohlbecker

- Status changed from Resolved to In Progress
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/4518f4b5e25dac1edf9786dd698c8281a63c78c5

the URLSs of the static swagger doc needs to be adapted

#5 - 10/19/2018 11:42 AM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 60 to 50

Applied in changeset cdmlib|695c2b14af3b70f3cf8b0c33fed45de81060ec13.

#6 - 10/19/2018 05:46 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

works again as expected
